## org.jboss.netty.channel
Interface ReceiveBufferSizePredictorFactory

All Known Implementing Classes:
  AdaptiveReceiveBufferSizePredictorFactory, FixedReceiveBufferSizePredictorFactory

    public interface ReceiveBufferSizePredictorFactory

Creates a new `ReceiveBufferSizePredictor`.

Version:
  $Rev: 2124 $, $Date: 2010-02-02 11:13:06 +0900 (Tue, 02 Feb 2010) $
Author:
  The Netty Project, Trustin Lee

Method Summary
`ReceiveBufferSizePredictor` `getPredictor()` Returns a newly created `ReceiveBufferSizePredictor`.

Method Detail

### getPredictor

    ReceiveBufferSizePredictor getPredictor()
                                            throws Exception

  Returns a newly created `ReceiveBufferSizePredictor`.

  Throws:
    `Exception`

Copyright © 2008-2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.